# based on Lucky Dip DM by bodzsar1
#http://addons.eventscripts.com/addons/view/lddm

import es, weaponlib, random

info = es.AddonInfo()
info['name']        = "Lucky Dip Guns"
info['version']     = "1.0.0"
info['author']      = "DanielB, bodzsar1" 
info['url']         = "http://forums.eventscripts.com/viewtopic.php?t=34141" 
info['description'] = "Gives players random weapons every time they spawn"

dm = es.import_addon('dm')
delay = dm.delay

primary = weaponlib.getWeaponNameList('#primary')
secondary = weaponlib.getWeaponNameList('#secondary')

scmd = es.server.queuecmd

dm_guns_old_value = None


def load():
    dm.msg('Loaded Addon - Lucky Dip')
    
def unload():
    dm.msg('Unloaded Addon - Lucky Dip')
    
    
def saveGunsOption():
    global dm_guns_old_value
    dm_guns_old_value = dm.settings.gunsmenu
    if not dm_guns_old_value:
        dm.settings.gunsmenu = 0
        dm.msg('LuckyDip - Disabled guns menu')
        
def loadGunsOption():
    if dm_guns_old_value:
        dm.settings.gunsmenu = 1
        dm.msg('LuckyDip - Re-enabled guns menu')

def player_spawn(ev):
    userid = ev['userid']
    scmd('es_xfire %s player_weaponstrip kill'%userid)
    scmd('es_xgive %s player_weaponstrip'%userid)
    scmd('es_xfire %s player_weaponstrip strip'%userid)
    
    
    p, s = random.choice(primary), random.choice(secondary)
    es.delayed(0.1, 'es_xgive %s %s;es_xgive %s %s'%(userid, p, userid, s))
    
    
    